package konto;

public class Konto {
	private final int numer;
	private final String wlasciciel;
	private int saldo;
	
	public Konto(int numer, String wlasciciel, int saldo) {
		this.numer = numer;
		this.wlasciciel = wlasciciel;
		this.saldo = saldo;
	}
	
	public Konto(int numer, String wlasciciel) {
		this(numer, wlasciciel, 0);
	}

	public int getNumer() {
		return numer;
	}

	public String getWlasciciel() {
		return wlasciciel;
	}

	public int getSaldo() {
		return saldo;
	}

	@Override
	public String toString() {
		return "Konto nr " + numer + ", wł. " + wlasciciel + ", saldo " + saldo;
	}

	public void wplata(int kwota) {
		saldo += kwota;
	}
	
	public void wyplata(int kwota) {
		saldo -= kwota;
	}
}
